Skip to main content
GET
/
v0
/
workflows
List workflows
curl --request GET \
  --url https://api.pixxel.space/v0/workflows \
  --header 'Authorization: <api-key>'
{
  "workflows": [
    {
      "id": "<string>",
      "project_id": "<string>",
      "legacy_project_id": "<string>",
      "name": "<string>",
      "created_by": "<string>",
      "description": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 100
  }
}
📚 View developer guide to learn more

Authorizations

Authorization
string
header
required

Query Parameters

project_id
string

Unique identifier for the project containing the workflows

id
string

Filter by specific workflow ID

name
string

Filter workflows by display name

created_by
string

Filter workflows by creator's user id

created_on
string

Filter workflows by creation date

updated_at
string

Filter workflows by last modification timestamp

offset
integer
default:0

Offset for pagination

limit
integer
default:50

Limit for pagination

Response

OK

workflows
object[]
pagination
object